org.apache.xerces.util

## Class SoftReferenceSymbolTable.SREntryData

- java.lang.Object
- - org.apache.xerces.util.SoftReferenceSymbolTable.SREntryData

- Enclosing class:
    SoftReferenceSymbolTable

      protected static final class SoftReferenceSymbolTable.SREntryData
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `char[]` | `characters`
    `java.lang.String` | `symbol`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SREntryData(java.lang.String internedSymbol)`
    `SREntryData(java.lang.String internedSymbol, char[] ch, int offset, int length)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### symbol

          public final java.lang.String symbol

    - #### characters

          public final char[] characters

  - ### Constructor Detail

    - #### SREntryData

          public SREntryData(java.lang.String internedSymbol)

    - #### SREntryData

          public SREntryData(java.lang.String internedSymbol,
                             char[] ch,
                             int offset,
                             int length)

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.